article creation timestamp and age
Closed, ResolvedPublic

Description

I would like to build rules that depend on the age of a page. To do this, I think we need a page_creation_timestamp and/or page_age.

Details

Reference
bz28844
bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz28844.
bzimport added a subscriber: Unknown Object (MLST).
jayvdb created this task.May 6 2011, 2:35 AM

It would be particularly useful from a Wikinews perspective if this could be linked also with regards to the time an article was first sighted with FlaggedRevs. Given en.WP's mulling of FlaggedRevs for vandalism control, they might also find that useful.

(In reply to comment #1)

It would be particularly useful from a Wikinews perspective if this could be
linked also with regards to the time an article was first sighted with
FlaggedRevs. Given en.WP's mulling of FlaggedRevs for vandalism control, they
might also find that useful.

As an alternative, the cl_timestamp field of the categories could also potentially be useful to wikinews

jayvdb added a comment.May 8 2011, 4:24 AM

(In reply to comment #2)

As an alternative, the cl_timestamp field of the categories could also
potentially be useful to wikinews

That would be lovely, but what would the syntax be?
It could be built using variables containing tuples (category, timestamp), but that requires a new set of functions to handle tuples/arrays/etc (bug 25673).
Or it could be implemented via a function like article_cat_ts(articleid,category)

Change 201086 had a related patch set uploaded (by Dragons flight):
Adds "article_age" variable to AbuseFilter

https://gerrit.wikimedia.org/r/201086

Huji closed this task as Resolved.Aug 22 2018, 4:00 PM
Huji removed a project: Patch-For-Review.
Huji claimed this task.
Huji reassigned this task from Huji to Dragons_flight.
Huji added a subscriber: Huji.

Change 201086 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Add page_age variable to AbuseFilter

https://gerrit.wikimedia.org/r/201086

matej_suchanek added a project: User-notice.
matej_suchanek moved this task from To Triage to Announce in next Tech/News on the User-notice board.
matej_suchanek removed a subscriber: wikibugs-l-list.
Johan added a subscriber: Johan.EditedAug 23 2018, 5:41 PM

This has been flagged for potential inclusion in Tech News. How would you phrase it? Something like this?

"Abuse filters can now use how old a page is. The variable is page_age"?